Subject: bug#52092: 28.0.60; hs-toggle-hiding does not toggle once folded

From: kobarity <[email-masked]>
Date: Sun, 25 Sep 2022 11:26:35 +0900

Stefan Monnier wrote:
> I pushed to `master` a patch which makes `event-end` return a position
> that's always at `point` for keyboard events, even if `point` is hidden.
> That should bring back the previous behavior (it's not safe enough for
> the `emacs-28` branch, sadly).
> 
> But I think your patch is still an improvement since it makes
> `hs-toggle-hiding` work even when point is right after the hidden block.
> I also like the additional tests you provide.
> So I adjusted it to the new code and pushed it to `master`.

I confirmed that everything works as expected.  Thank you for fixing
the issue and improving my patch.

Regards,